For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETDownload File
      • GETDownload a Thumbnail Image
      • PUTUpdate File
      • DELDelete file
LogoLogo
SupportContact salesStart free trial
API ReferenceFile

Delete file

DELETE
https://api.projectmanager.com/api/data/files/:fileId
DELETE
/api/data/files/:fileId
$curl -X DELETE https://api.projectmanager.com/api/data/files/fileId \
> -H "Authorization: Bearer <token>"
200Deleted
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue"
13}
In case of soft delete moves file to trash folder. For hard delete completely deletes file's metadata from pm database as well as from amazon storage This API returns a JSON response indicating success or failure.
Was this page helpful?
Previous

Query resource holidays

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

fileIdstringRequiredformat: "uuid"
The unique identifier of the File to delete

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Query parameters

hardbooleanOptional
Param indicates that file should be hard deleted

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.